Plugins API documentation: Class AuditViolations

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.modules.qa.api
Class AuditViolations

    java.lang.Object
      |
      +--com.togethersoft.modules.qa.api.AuditViolations

public class AuditViolations
extends java.lang.Object

Maintains the list of audit violations, generated by all plugins The only methods that are of interest for plugin creator are `add` methods.

Field Summary
`private static java.util.Vector` | `violations`

Constructor Summary
`AuditViolations()`

Method Summary
`static void` | `add(AuditPlugin plugin, com.togethersoft.openapi.sci.SciObject node, com.togethersoft.openapi.sci.SciObject item)` Adds violation
`static void` | `add(AuditPlugin _plugin, com.togethersoft.openapi.sci.SciObject _node, com.togethersoft.openapi.sci.SciObject _item, int pos_start, int pos_end)` Adds violation
`static void` | `add(AuditPlugin _plugin, com.togethersoft.openapi.sci.SciObject _node, com.togethersoft.openapi.sci.SciObject _item, java.lang.String _explanation)` Adds violation
`private static void` | `addProc(AuditViolation vio, com.togethersoft.openapi.sci.SciObject _node, com.togethersoft.openapi.sci.SciObject _item)`
`static boolean` | `exists(AuditPlugin _plugin, com.togethersoft.openapi.sci.SciObject _node)`
`static AuditViolation` | `get(int idx)`
`static void` | `remove(int idx)`
`static void` | `reset()`
`static void` | `setSize(int size)`
`static int` | `size()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### violations

    private static java.util.Vector violations

Constructor Detail

### AuditViolations

    public AuditViolations()

Method Detail

### add

    public static void add(AuditPlugin plugin,
                           com.togethersoft.openapi.sci.SciObject node,
                           com.togethersoft.openapi.sci.SciObject item)

  Adds violation
  Parameters:
    `plugin` - the plugin that has generated this violation
    `node` - project node to which item belongs
    `item` - item related to the violation

### add

    public static void add(AuditPlugin _plugin,
                           com.togethersoft.openapi.sci.SciObject _node,
                           com.togethersoft.openapi.sci.SciObject _item,
                           java.lang.String _explanation)

  Adds violation
  Parameters:
    `plugin` - the plugin that has generated this violation
    `node` - project node to which item belongs
    `item` - item related to the violation
    `explanation` - string explanation of violation

### add

    public static void add(AuditPlugin _plugin,
                           com.togethersoft.openapi.sci.SciObject _node,
                           com.togethersoft.openapi.sci.SciObject _item,
                           int pos_start,
                           int pos_end)

  Adds violation
  Parameters:
    `plugin` - the plugin that has generated this violation
    `node` - project node to which item belongs
    `item` - item related to the violation
    `pos_start` - file offset pf the starting point of text
    `pos_end` - file offset pf the ending point of text

### addProc

    private static void addProc(AuditViolation vio,
                                com.togethersoft.openapi.sci.SciObject _node,
                                com.togethersoft.openapi.sci.SciObject _item)

### get

    public static AuditViolation get(int idx)

### size

    public static int size()

### setSize

    public static void setSize(int size)

### reset

    public static void reset()

### remove

    public static void remove(int idx)

### exists

    public static boolean exists(AuditPlugin _plugin,
                                 com.togethersoft.openapi.sci.SciObject _node)

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD